shutdownconfig

Please post any bugs you have found
Post Reply
Message
Author
User avatar
Karl Godt
Posts: 4199
Joined: Sun 20 Jun 2010, 13:52
Location: Kiel,Germany

shutdownconfig

#1 Post by Karl Godt »

Today I detected when wanting to change folder in the final savefile sanity question , I got offered only one-level deep instead of two-level , that is possible since somewhere Puppy-5.3 times .
It still lacks the feature to change the filename though .

Code: Select all

# diff -up /initrd/pup_ro2/usr/sbin/shutdownconfig /usr/sbin/shutdownconfig
--- /initrd/pup_ro2/usr/sbin/shutdownconfig	2013-02-21 13:51:28.000000000 +0100
+++ /usr/sbin/shutdownconfig	2013-08-13 15:17:42.960496595 +0200
@@ -486,7 +486,7 @@ If anything looks wrong, choose \Zb\\\${
   if [ $SANITYRET -eq 3 ];then #change folder.
    T_choosefoldertitle="$(gettext 'First shutdown: choose folder')"
    T_inputbox="$(gettext 'Edit path. '/' means top-level of partition. 
-You are only allowed to save one-deep, for example: '/puppy300'. 
+You are only allowed to save two-deep, for example: '/puppy/${DISTRO_NAME}${DISTRO_VERSION}'. 
 If folder does not exist, it will be created. Spaces are not allowed. 
 If uncertain, just click OK button.')"
    NEWSAVEPATH="`${DIALOGEXE} ${BACKGROUNDYELLOW} ${TITLEPARAM} "$T_choosefoldertitle" --screen-center --stdout --no-cancel --inputbox "$T_inputbox" 0 0 "$SAVEPATH"`"
@@ -505,8 +505,8 @@ If uncertain, just click OK button.')"
   fi
  done
  [ -f ${SMNTPT}${SAVEPATH} ] && return 1 #abort. must be a directory.
- [ ! -d ${SMNTPT}${SAVEPATH} ] && mkdir ${SMNTPT}${SAVEPATH}
- [ ! -d ${SMNTPT}${SAVEPATH} ] && return 1 #some kind of error, abort.
+ [ -d ${SMNTPT}${SAVEPATH} ] || mkdir -p ${SMNTPT}${SAVEPATH}
+ [ -d ${SMNTPT}${SAVEPATH} ] || return 1 #some kind of error, abort.
 
  #JOPT=""
  [ "$SAVEPART" = "fd0" ] && SIZEPFILE=`expr $SIZEPFILE - 16` 
#

Post Reply